/* CSS for Modal Dialog 
Source: 
https://accessibility.huit.harvard.edu/technique-accessible-modal-dialogs
*/

[role="dialog"] {
	z-index:3;
	position:fixed;
	top:0;
	left:0;
	right:0;
	bottom:0;
	margin:auto;
	padding:1.5em 10px;
	height:250px;
	width:540px;
	max-height:96vh;
	max-width:70vw;
	background:#fcf9ee;
	box-shadow:0.25em 0.25em #444 0.4;
	border:1px solid #444;
	border-radius:0.25em;
	display:none;
	overflow:hidden;
}

[role="dialog"] * + * {
	margin-top:0.5em;
}

[role="dialog"] {
	-webkit-animation-name:zoom;
	-webkit-animation-duration:0.6s;
	animation-name:zoom;
	animation-duration:0.6s;
}

@-webkit-keyframes zoom {
	from {
		-webkit-transform:scale(0);
		transform:scale(0);
	} to {
		-webkit-transform:scale(1);
		transform:scale(1);
	}
}

@keyframes zoom {
	from {
		transform:scale(0.1);
	} to {
		transform:scale(1);
	}
}

div.dialog-container {
	margin:0;
	height:68%;
	max-height:55vh;
	width:100%;
	overflow:auto;
}

h2.dialog-heading {
	font-weight:bold;
	margin:0.35em 0 0.25em 0;
}

button.dialog-caller {
	cursor:pointer;
	background:#d9d6d6;
	color:#444;
	margin:0 0 0 0.75rem;
	padding:0.3em 0.75em;
	border-radius:0.35em;
	font-size:0.9rem;
	border:1px solid transparent;
}

button.dialog-caller:focus,
button.dialog-caller:hover {
	outline:1px solid #444;
	background:#654;
	color:#fff;
}

button.dialog-closer {
	position:absolute;
	top:0.5em;
	right:0.5em;
	margin-top:0;
	line-height:1;
}

[role="dialog"][open] {
	display:block;
}

div.dialog-scrim {
	z-index:2;
	background:#444;
	opacity:0.75;
	position:fixed;
	top:0;
	right:0;
	bottom:0;
	left:0;
	display:none;
}
